#
# spec file for package vino (Version 2.28.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           vino
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  gnutls-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libavahi-glib-devel
BuildRequires:  libnotify-devel
BuildRequires:  NetworkManager-devel
BuildRequires:  libsoup-devel
BuildRequires:  libunique-devel
BuildRequires:  telepathy-glib-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
License:        GPLv2+
Group:          Productivity/Networking/Remote Desktop
Version:        2.28.1
Release:        2.1.1
Requires:       %{name}-lang = %{version}
Summary:        GNOME VNC Server
Source:         vino-%{version}.tar.bz2
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
A VNC Server for GNOME



Authors:
--------
    This is just another re-incarnation of many other similar projects:
     
     + libvncserver by Johannes E. Schindelin
         which in turn is based on:
           - OSXvnc by Dan McGuirk
           - The original Xvnc by AT&T Laboratories, Cambridge
           - TightVNC by Const Kaplinsky
           - RealVNC by James "Wez" Weatherall
          
     + krfb, KDE's desktop sharing server, by Tim Jansen
     + x11vnc.c (from libvncserver) by Karl J. Runge
     + x0rfbserver, the original native X vnc server, by Jens Wagner
     
    Much code and ideas from each of those projects is re-used here.

%lang_package
%prep
%setup
translation-update-upstream

%build
%configure\
    --libexecdir=%{_libexecdir}/vino \
    --enable-avahi \
    --enable-gnome-keyring \
    --enable-http-server=yes
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%suse_update_desktop_file -r vino-preferences GNOME Settings AdvancedSettings System RemoteAccess X-SuSE-ControlCenter-System
%suse_update_desktop_file vino-server
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
%{_bindir}/vino-preferences
%{_bindir}/vino-passwd
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.gnome.Vino.service
%{_datadir}/vino
%{_sysconfdir}/xdg/autostart/vino-server.desktop
%{_libexecdir}/vino

%files lang -f %{name}.lang

%changelog
* Sat Nov 14 2009 vuntz@opensuse.org
- Update to version 2.28.1:
  + Fix build in OpenBSD
  + Don't use restart feature of session manager
  + Updated translations.
* Mon Sep 21 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Mon Sep  7 2009 dimstar@opensuse.org
- Update to version 2.27.92:
  + Fix a regression that allows more than one instance of the
    server to run.
  + Use vino's debug framework instead of g_printerr (mainly in
    tube code).
  + Make Avahi use the network interface defined in vino
    preferences.
  + Use integer (instead of double) as the port parameter in dbus
    calls (This fix 'localhost' appearing in preferences applet).
  + Fixed a warning in libgcrypt initialization.
  + Updated translations.
* Tue Aug 25 2009 dimstar@opensuse.org
- Update to version 2.27.91:
  + (vino-passwd): Do not crash if a GConf server is not available.
  + Improvements in Telepathy tubes
  + Updated translations.
* Tue Aug 11 2009 dominique-obs@leuenberger.net
- Update to version 2.27.90:
  + Minor fixes
  + Updated translations.
- Drop vino-linking-order.patch and affilated BuildRequires and
  gnome-autogen.sh call.
* Wed Jul 29 2009 vuntz@novell.com
- Update to version 2.27.5:
  + Added an (GConf) option to disable XDamage extension. See
    bgo#533613.
  + Added Telepathy tubes support, allowing you to share the
    desktop with an IM buddy.
  + Dropped libgnome dependency. Using EggSmClient.
  + Migrate from libglade to GtkBuilder.
  + Many small bug fixes.
  + Updated translations.
- Use libexecdir.
- Drop libglade2-devel, libgnomeui-devel BuildRequires.
- Add gnome-keyring-devel, telepathy-glib-devel BuildRequires.
- Add vino-linking-order.patch to fix build.
* Tue May 19 2009 vuntz@novell.com
- Update to version 2.26.2:
  + bgo#581204, Use g_timeout_add_seconds
  + bgo#582843, Fix build in FreeBSD
  + bgo#533613, Added an option to disable XDamage extension. In
    some environments the XDamage extension does not work properly
    on 3D desktops. This adds a boolean gconf key
    'disable_xdamage'. If it is set to TRUE, Vino will not use it.
  + Minor tweaks.
  + Updated translations.
* Sun May  3 2009 mboman@suse.de
- Change BuildRequires from unique-devel to libunique-devel
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + bgo#575860 – Regenerating autotools always tries to compile
    local libifaddr.
  + Updated translations.
* Tue Mar 17 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Tue Mar 17 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Updated translations.
* Mon Mar  2 2009 mboman@suse.de
- Update to version 2.25.92:
  + Added dependency on NetworkManager for monitoring when network
    state changes. New configure flag: --enable-network-manager.
    If not set, enable it anyway if NM libraries are found
  + bgo#330691 – show .local hostname if avahi is present
  + Translation updates
- Remove BuildRequires gnome-common, scrollkeeper,
  gnome-keyring-devel
- Add new Buildrequirement NetworkManager-devel
* Mon Feb 16 2009 mboman@suse.de
- Update to version 2.25.91:
  + Install autostart file in $sysconfdir/xgd/autostart
    Usually you should pass the argument --sysconfdir=/etc to
    configure (or autogen.sh) script
  + i18n related fixes
  + Minor fixes
  + Translation updates
* Tue Feb  3 2009 mboman@suse.de
- Update to version 2.25.90:
  + Only show notification if the status icon is visible.
  + Fix drawing issues in the connectivity label.
  + Uses a file containing links to webservices, instead of
    use a hard coded one.
  + Shows an IP address instead of the local hostname in the
    connectivity label.
  + Translation updates
- Remove vino-bgo568646-fix-typo.patch. Fixed upstream
* Thu Jan 29 2009 vuntz@novell.com
- Update BuildRequires:
  + remove gnome-desktop-devel, gtk-doc, libidl-devel, sharutils
  + add gconf2-devel, gtk2-devel, unique-devel
* Thu Jan 29 2009 lmedinas@gmail.com
- Update to version 2.25.5:
  + New capplet
  + Translation updates
- Add libsoup-devel dependency
- Add vino-bgo568646-fix-typo.patch to fix typo
* Fri Jan 23 2009 vuntz@novell.com
- Add missing BuildRequires on libgnomeui-devel.
* Tue Jan  6 2009 mboman@suse.de
- Update to version 2.25.4:
  + Added UPnP support. Created a new boolean gconf key called use_upnp
    For now, no GUI changes
  + Translation updates
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.25.3:
  + Removed local_only preference, and allow you to specify the network
    interface to listen.
  + Some minor fixes
  + Translation updates
* Tue Oct 21 2008 mboman@suse.de
- Update to version 2.24.1:
  + bgo#555105: Propagates port changes via avahi.
  + Update label in vino-preferences when the port changes.
  + bgo#161180: Hopefully fix an window empty bug.
  + lp#266932: Only restore the wallpaper when the last
    client disconnects.
  + Translation updates
* Fri Oct 10 2008 mboman@suse.de
- Enable gconf and http server
* Tue Sep 23 2008 mboman@suse.de
- Update to version 2.24.0:
  + Translation updates
* Tue Sep  9 2008 maw@suse.de
- Update to version 2.23.92:
  + Add an icon to the session desktop file
  + Updated translations.
* Tue Sep  2 2008 mboman@novell.com
- Update to version 2.23.91:
  + Dropped bonobo activation. Vino is controlled by gnome-session.
  + Made vino-server a gnome-session client, still using libgnomeui.
  + The directory session/ is now obsolete.
  + Returns gboolean instead of void. Returns FALSE if there is another
    instance running.
  + Don't use bonobo shell function.
* Sat Aug 30 2008 mboman@novell.com
- Update to version 2.23.90:
  + Added the ability to hide the background on connections.
  + New compile-time option (--enable-libunique), allows only one
    instance of capplet running.
  + Added vino-server.desktop file required by new gnome-session.
  + Get rid of libgnome[ui] in the capplet.
  + Minor bug fixes
  + Translations
* Sat Aug  2 2008 captain.magnus@opensuse.org
- Update to version 2.23.5:
  + New command-line tool, vino-passwd, which allows you to change
  vino password. Similar to Unix passwd command. (Jorge Pereira)
  + Bug bgo#534262 - cyclic clipboard propagation (Jonh Wendell)
  + Minor bug fixes
* Mon Jun 23 2008 maw@suse.de
- Update to version 2.22.2:
  + Bug fixed: bgo#534262.
* Fri Apr 11 2008 vuntz@suse.de
- Update to version 2.22.1:
  + Don't lock the screen in fake connections
  + Updated translations.
- Stop abusing the /usr/lib/gnome-panel/ and use /usr/lib/vino
- Change libidl build-requires to libidl-devel
* Thu Mar 13 2008 vuntz@suse.de
- Update to version 2.22.0:
  + Updated translations.
* Wed Mar  5 2008 maw@suse.de
- Update to version 2.21.92:
  + Fix some crashes
  + Build against recent glibcs
  + Updated translations.
* Wed Feb 20 2008 maw@suse.de
- Update to version 2.21.91:
  + Updated translations.
* Fri Feb  1 2008 maw@suse.de
- Update to version 2.21.90:
  + Updated translations.
* Thu Dec 13 2007 jpr@suse.de
- Update to 2.21.3
    + New gconf key to control the status icon behaviour
    + Added more options in the configuration applet
    + Handles clipboard copy and paste
    + Don't ship icons/ directory anymore
    + Fixes some key presses issues
    + Only show 'disconnect all' popup item in status icon if we have
    more than one client connected
    + Better handles disconnection from avahi-daemon
    + Minor fixes
  + Update Translations
* Thu Dec 13 2007 jpr@suse.de
- Update to 2.20.1
  + Update Translations
- enable avahi support with configure
- enable notify support
- remove vino-desktop.patch, %%suse_update_desktop_file will do the
  same thing
* Thu Oct 11 2007 sbrabec@suse.cz
- Use correct binding specific avahi package instead of
  mDNSResponder.
* Mon Sep 17 2007 gekker@suse.de
- Update to version 2.20.0
  + Update Translations.
* Mon Sep 10 2007 maw@suse.de
- Update to version 2.19.92:
  + Bugs (bugzilla.gnome.org) fixed: #353304 and #383147
  + Updated translations.
* Fri Aug 31 2007 maw@suse.de
- Update to version 2.19.90:
  + Include hostname in Avahi service name
  + Show the configure summary
  + Minor fixes
  + Updated translations.
* Fri Aug 10 2007 coolo@suse.de
- use %%version after the definition of Version
* Tue Aug  7 2007 maw@suse.de
- Split off a -lang subpackage
- Use %%fdupes.
* Thu Aug  2 2007 maw@suse.de
- Update to version 2.19.5
- New features: Show http server address in vino-preferences if
  it's compiled with http support; new configuration option
  (gconf key) 'lock_screen_on_disconnect', and builds against
  libnotify if it's available
- Bugs (bugzilla.gnome.org) fixed: #330690, #450074, #445525,
  [#440429], #436460, and #431627
- Updated translations.
* Thu Jun  7 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Wed May  9 2007 pgajdos@suse.cz
- removed gnome-icon-theme from BuildRequieres [#247450]
* Fri Apr 27 2007 sbrabec@suse.cz
- Do not call meinproc (#227624).
* Thu Apr 12 2007 maw@suse.de
- Update to version 2.18.1
- Bug fixes (all bug numbers are on bugzilla.gnome.org):
  + Fix the non-XDAMAGE, non-XSHM support, bug #423887 (Mark)
  + Fix crash on vino_input_init(), bug #425863 (Jonh, Mark)
  + Fix crashes on critical warning in vino-preferences applet,
    bug #418836 and bug #423027 (Halton Huo, Jonh)
- Updated translations for the da, es, eu, and gl locales.
* Mon Apr  9 2007 maw@suse.de
- Update to version 2.18.0
- Fixes for bugzilla.gnome.org #414905, #412559, #394005, #394462,
  [#357778], #400260, #391850, #394523, and #391848.
* Fri Mar  9 2007 maw@suse.de
- Remove the removal of the po/no stuff.
* Fri Mar  9 2007 maw@suse.de
- Update to version 2.17.5
    + Add D-Bus support so that capplet can find out the port number
    from the server (Jonh, Mark)
    + Display a notification bubble when someone connects if we
    haven't already prompted the user for authorization (Jonh, Mark)
    + Replace deprecated GnomeIconTheme usage with GtkIconTheme (Christian Persch)
    + Don't mark GObject property descriptions for translation (Mark)
    + Add a status icon allowing you to disconnect users
    (Jonh Wendell, Christian Persch, Mark, Calum, Andre Klapper)
    + Hide the help button in the prompt dialog (Mark)
    + Fix broken keyboard under Xsun (Halton Huo, Mark)
    + Fix the desktop name remoted to the client (Jonh Wendell)
    + Fix the stringification of the client hostname (Jonh Wendell)
    + Add "local_only" GConf key for use with SSH tunnels (Mark, Shaya Potter)
    + Add "alternative_port" GConf key (Mark, John Wendell)
    + Add ability to use gnome-keyring to store VNC password (Mark, Steven Zhang)
    + Add IPv6 support (Mark, Srirama Sharma)
    + Update for RFB 3.8 (Dan Winship)
    + Fix for X servers which don't support XShm (Dan Winship)
    + Fix CoRRE encoding problem (Mark)
    + Back-port some fixes from upstream libvncserver (Mark)
    + Add GTK category to .desktop file (Mark)
    + Mark some weird glade strings as non-translatable (Mark)
    + Fix icons not changing when icon theme changes (Mark)
    + Use glib's base64 functions instead of our own (Mark)
    + Use GtkLinkButton instead of VinoURL (Mariano Suárez-Alvarez)
    + Fix hang on wrong login (Gary Coady)
- Remove upstreamed vino-xgl.patch.
* Mon Feb  5 2007 sbrabec@suse.cz
- Fixed Categories.
* Fri Jan 12 2007 sbrabec@suse.cz
- Spec file cleanup.
* Mon Dec 18 2006 maw@suse.de
- Move to /usr.
* Fri Aug  4 2006 jhargadon@suse.de
- update to version 2.13.5
- Publish services over mDNS
- Fix keyboard brokeness with some X server configurations
- Fix crash with unicode mapped keysyms
- Added translations
* Thu May 11 2006 danw@suse.de
- Add fallback code so this still works if the X server doesn't
  support XShm shared pixmaps (eg, Xgl). #173173
* Thu Apr 13 2006 sbrabec@suse.cz
- Call %%suse_update_desktop_file.
- Use new control-center Categories instead of old ones.
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Sat Feb 25 2006 aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 rodrigo@suse.de
- Added vino-desktop.patch (#131371)
* Tue Sep  6 2005 sbrabec@suse.cz
- Updated to version 2.12.0.
* Thu Aug 25 2005 gekker@suse.de
- Update to version 2.11.92
* Tue Aug  2 2005 sbrabec@suse.cz
- Updated to version 2.11.90.
* Wed Jun 22 2005 gekker@suse.de
- Update to version 2.11.1.2
* Thu Mar 10 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Mon Jan 24 2005 ro@suse.de
- fix build on lib64
* Fri Jan 21 2005 clahey@suse.de
- Initial import.
